import { Card as ShadcnCard, CardContent } from "@/app/components/ui/card";
import { cn } from "@/common/utils";
import { ReactElement } from "react";

type CardProps = {
  /**
   * The children for this element.
   */
  children: React.ReactNode;

  /**
   * The class names to append.
   */
  className?: string;
};

export function Card({ children, className }: CardProps): ReactElement {
  return (
    <ShadcnCard className={cn(className, "pt-4")}>
      <CardContent>{children}</CardContent>
    </ShadcnCard>
  );
}
